Index: LMDZ4/trunk/libf/phylmd/ini_histday.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histday.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/ini_histday.h	(revision 776)
@@ -36,17 +36,17 @@
 c
          CALL histdef(nid_day, "phis", "Surface geop. height", "m2/s2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "once", zstophy,zout)
 c
          CALL histdef(nid_day, "aire", "Grid area", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "once", zstophy,zout)
 c
          CALL histdef(nid_day, "contfracATM","% sfce ter+lic ","-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "once", zstophy,zout)
 c
          CALL histdef(nid_day, "contfracOR","% sfce terre OR", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "once", zstophy,zout)
 c
@@ -54,9 +54,9 @@
 c
          CALL histdef(nid_day, "tsol", "Surface Temperature", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "t2m", "Temperature 2m", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -66,25 +66,25 @@
          CALL histdef(nid_day, "t2m_min", "Temp. 2m min.",
      .                "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                t2mincels, zstophy,zout)
 c
          CALL histdef(nid_day, "t2m_max", "Temp. 2m max.",
      .                "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                t2maxcels, zstophy,zout)
 c
          CALL histdef(nid_day, "plul", "Large-scale Precip.",
      .   "kg/(s*m2)",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "pluc", "Convective Precip.",
      .   "kg/(s*m2)",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "snowl", "Solid Large-scale Precip.",
      .   "kg/(m2*s)",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -92,102 +92,102 @@
          CALL histdef(nid_day, "snowc", "Solid Convective Precip.",
      .   "kg/(m2*s)",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          ENDIF !snowc=0.
 c
          CALL histdef(nid_day, "flat", "Latent heat flux", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "sicf", "Sea-ice fraction", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zstoday,zout)
 c
          CALL histdef(nid_day, "q2m", "Specific humidity", "kg/kg",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "u10m", "Vent zonal 10m", "m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "v10m", "Vent meridien 10m", "m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "wind10m","10-m wind speed","m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "wind10max", "10-m wind speed max.",
      .                "m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                t2maxcels, zstophy,zout)
 c
          CALL histdef(nid_day, "psol", "Surface Pressure", "Pa",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "precip","Precipitation Totale liq+sol"
      .                , "kg/(s*m2)",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "snowf", "Snow fall", "kg/(m2*s)",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
 c        CALL histdef(nid_day, "snow_mass", "Snow Mass", "kg/m2",
-c    .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+c    .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
 c    .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "evap", "Evaporation", "kg/(m2*s)",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "tops", "Solar rad. at TOA", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "topl", "IR rad. at TOA", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "sols", "Net Solar rad. at surf.", 
      .                "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "soll", "Net IR rad. at surface", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "radsol", "Rayonnement au sol", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "cldl", "Low-level cloudiness", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "cldm", "Mid-level cloudiness", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "cldh", "High-level cloudiness", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "cldt", "Total cloudiness", "-",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "cldq", "Cloud liquid water path", 
      .                "kg/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "prw", "Precipitable water", "kg/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -210,10 +210,10 @@
           CALL histdef(nid_day, "u"//bb2,
      .                 "Zonal wind "//bb2//"mb","m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_day, "v"//bb2,
      .                 "Meridional wind "//bb2//"mb","m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zout,zout)
 c
@@ -224,10 +224,10 @@
          CALL histdef(nid_day, "w"//bb2, "Vertical wind "//bb2//"mb",
      .                "m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zout,zout)
 c
          CALL histdef(nid_day,"phi"//bb2, "Geopotential "//bb2//"mb",
      .                "m",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zout,zout)
 c
@@ -237,22 +237,22 @@
 c
          CALL histdef(nid_day, "slp", "Sea Level Pressure", "Pa",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "cape_max", "CAPE max.",
      .                "J/kg",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                capemaxcels, zstophy,zout)
 c
          CALL histdef(nid_day, "solldown", "Down. IR rad. at surface", 
-     .                "W/m2", iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                "W/m2", iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "sens", "Sensible heat flux", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "SWdnSFC", "SWdn at surface","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
@@ -264,5 +264,5 @@
           CALL histdef(nid_day, "lmt_bils", 
      .         "Bilan au sol atmosphere forcee", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
@@ -271,17 +271,17 @@
           CALL histdef(nid_day, "slab_bils",
      .                "Bilan au sol slab", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
           CALL histdef(nid_day, "tslab", "Slab SST ", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
           CALL histdef(nid_day, "seaice", "Slab seaice", "kg/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
           CALL histdef(nid_day, "siceh", "Slab seaice height", "m",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -290,10 +290,10 @@
          CALL histdef(nid_day, "fluxo",
      .                "Flux turbulents ocean-atmosphere", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "fluxg",
      .                "Flux ocean-glace de mer", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -303,9 +303,9 @@
 c
          CALL histdef(nid_day, "bils", "Surf. total heat flux", "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "fder", "Heat flux derivation", "W/m2/K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
@@ -321,29 +321,29 @@
 c
          CALL histdef(nid_day, "temp", "Air temperature", "K",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "ovap", "Specific humidity", "kg/kg",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "geop", "Geopotential height", "m2/s2",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "vitu", "Zonal wind", "m/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "vitv", "Meridional wind", "m/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "vitw", "Vertical wind", "m/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "pres", "Air pressure", "Pa",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -361,33 +361,33 @@
 c
          CALL histdef(nid_day, "SWupTOA", "SWup at TOA","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "SWupSFC", "SWup at surface","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "SWdnTOA", "SWdn at TOA","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "SWupTOAclr",
      .                "SWup clear sky at TOA","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 
          CALL histdef(nid_day, "SWupSFCclr",
      .                "SWup clear sky at surface","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 
          CALL histdef(nid_day, "SWdnTOAclr",
      .                "SWdn clear sky at TOA","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 
          CALL histdef(nid_day, "SWdnSFCclr",
      .                "SWdn clear sky at surface","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
@@ -395,10 +395,10 @@
          CALL histdef(nid_day, "LWdnSFC",
      .                "LW down at surface","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "LWupSFC",
      .                "LW down at surface","W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
@@ -407,5 +407,5 @@
 c    .                "Cld top pressure","mb",
      .                "Cld top pressure (cf ISCCP simulator)","Pa",
-     .                iim,jjphy_nb,nhori, 1,1,1,-99,
+     .                iim,jj_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 cIM     ENDIF !(iflag_con.GE.3) THEN 
@@ -418,75 +418,75 @@
 c
          CALL histdef(nid_day, "tter", "Surface Temperature ter", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "tlic", "Surface Temperature lic", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "toce", "Surface Temperature oce", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "tsic", "Surface Temperature sic", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "t2mter", "Temp.tere 2m", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "t2mlic", "Temp.lic 2m", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "t2moce", "Temp.oce 2m", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "t2msic", "Temp.sic 2m", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "t2mter_min", "Temp.terre 2m min.",
      .                "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                t2mincels, zstophy,zout)
 c
          CALL histdef(nid_day, "t2mter_max", "Temp.terre 2m max.",
      .                "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                t2maxcels, zstophy,zout)
 c
          CALL histdef(nid_day, "u10mter", "Vent zonal ter 10m", "m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "u10mlic", "Vent zonal lic 10m", "m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "u10moce", "Vent zonal oce 10m", "m/s",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "u10msic", "Vent zonal sic 10m",
-     .                 "m/s",iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                 "m/s",iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "v10mter", "Vent meridien ter 10m", 
-     .                "m/s", iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                "m/s", iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "v10mlic", "Vent meridien lic 10m",
-     .                 "m/s",iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                 "m/s",iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "v10moce", "Vent meridien oce 10m",
-     .                 "m/s",iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                 "m/s",iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "v10msic", "Vent meridien sic 10m",
-     .                 "m/s",iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                 "m/s",iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -495,45 +495,45 @@
            call histdef(nid_day, "pourc_"//clnsurf(nsrf), 
      $         "% "//clnsurf(nsrf), "%",  
-     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     $         iim,jj_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_day, "fract_"//clnsurf(nsrf), 
      $         "Fraction "//clnsurf(nsrf), "1",  
-     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     $         iim,jj_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_day, "tsol_"//clnsurf(nsrf), 
      $         "Temperature "//clnsurf(nsrf), "K",  
-     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     $         iim,jj_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_day, "sens_"//clnsurf(nsrf), 
      $         "Sensible heat flux "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     $         iim,jj_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 c
            call histdef(nid_day, "lat_"//clnsurf(nsrf), 
      $         "Latent heat flux "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     $         iim,jj_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_day, "taux_"//clnsurf(nsrf), 
      $         "Zonal wind stress "//clnsurf(nsrf),"Pa",
-     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     $         iim,jj_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 
            call histdef(nid_day, "tauy_"//clnsurf(nsrf), 
      $         "Meridional wind stress "//clnsurf(nsrf), "Pa",  
-     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     $         iim,jj_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_day, "albe_"//clnsurf(nsrf), 
      $         "Albedo surf. "//clnsurf(nsrf), "-",  
-     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     $         iim,jj_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_day, "rugs_"//clnsurf(nsrf), 
      $         "Rugosite "//clnsurf(nsrf), "m",  
-     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     $         iim,jj_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
@@ -552,59 +552,59 @@
          CALL histdef(nid_day, "tops0", "CS Solar rad. at TOA", 
      .                "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "topl0", "CS IR rad. at TOA", 
      .                "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "sols0", "CS Net Solar rad. at surf.", 
      .                "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "soll0", "CS Net IR rad. at surface", 
      .                "W/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "rneb", "Cloud fraction", "-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "rnebcon", "Convective Cloud Fraction"
      .                , "-",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day,"lwcon","Cloud liquid water content",
      .                "kg/kg",
-     .                iim,jjphy_nb,nhori, klev,1,klev, nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev, nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_day,"iwcon","Cloud ice water content","kg/kg",
-     .                iim,jjphy_nb,nhori, klev,1,klev, nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev, nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day,"lwp","Cloud water path","kg/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day,"iwp","Cloud ice water path","kg/m2",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_day,"meantaucld",
      .                "ISCCP mean cloud optical thickness","1",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_day,"cldtau","Cloud optical thickness","1",
-     .                iim,jjphy_nb,nhori, klev,1,klev, nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev, nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_day,"cldemi","Cloud optical emissivity","1",
-     .                iim,jjphy_nb,nhori, klev,1,klev, nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev, nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -612,27 +612,27 @@
 c
          CALL histdef(nid_day, "dtcon", "Convection dT", "K/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "dqcon", "Convection dQ", "(kg/kg)/s",
-     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
+     .                iim,jj_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "rh2m", "Relative humidity at 2m", "%",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "qsat2m", "Saturant humidity at 2m", "%",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "tpot", 
      .                "Surface air potential temperature", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_day, "tpote", 
      .        "Surface air equivalent potential temperature", "K",
-     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
+     .                iim,jj_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
Index: LMDZ4/trunk/libf/phylmd/ini_histday_seri.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histday_seri.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/ini_histday_seri.h	(revision 776)
@@ -3,5 +3,5 @@
 c
 cym Ne fonctionnera pas en mode parallele
-      IF (monocpu) THEN
+      IF (is_sequential) THEN
       
       IF (type_run.EQ."AMIP") THEN
@@ -129,3 +129,3 @@
       ENDIF ! fin de test sur type_run.EQ.AMIP
       
-      ENDIF ! monocpu
+      ENDIF ! is_sequential
